﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MOBSM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MOBSM_F_ENTRY') 
 CREATE TABLE T_MOBSM_F_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAXVALUEF BIGINT DEFAULT 0 NOT NULL,
FMINVALUEF BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MOBSM_M_ENTRY') 
 CREATE TABLE T_MOBSM_M_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAXVALUEM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINVALUEM DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MOBSM_RFMBASICSET') 
 CREATE TABLE T_MOBSM_RFMBASICSET (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(120) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FDATERANGE CHAR(1) DEFAULT 'B' NOT NULL,
FBILLNAME NVARCHAR(120) DEFAULT ' ' NOT NULL,
FISALLSALEORG CHAR(1) DEFAULT '1' NOT NULL,
FRPERCENTAGE INT DEFAULT 0 NOT NULL,
FFPERCENTAGE INT DEFAULT 0 NOT NULL,
FMPERCENTAGE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MOBSM_RFMBASICSET_L') 
 CREATE TABLE T_MOBSM_RFMBASICSET_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MOBSM_R_ENTRY') 
 CREATE TABLE T_MOBSM_R_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMAXVALUER BIGINT DEFAULT 0 NOT NULL,
FMINVALUER BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\MOBSM_table.sql **/
